# Uses of Class
org.a11y.brlapi.Program

Packages that use Program
Package
Description
org.a11y.brlapi
org.a11y.brlapi.clients
org.a11y.brlapi.commands
org.a11y.brlapi.programs

## Uses of Program in org.a11y.brlapi

Subclasses of Program in org.a11y.brlapi
Modifier and Type
Class
Description
`class`
`Client`
Methods in org.a11y.brlapi that return Program
Modifier and Type
Method
Description
`final Program`
Program.`setProgramName(String name)`
Methods in org.a11y.brlapi with parameters of type Program
Modifier and Type
Method
Description
`static boolean`
ProgramComponent.`isClient(Program program)`
Method parameters in org.a11y.brlapi with type arguments of type Program
Modifier and Type
Method
Description
`static boolean`
ProgramComponent.`isClient(Class<? extends Program> type)`

## Uses of Program in org.a11y.brlapi.clients

Subclasses of Program in org.a11y.brlapi.clients
Modifier and Type
Class
Description
`class`
`ApiErrorClient`
`class`
`ApiExceptionClient`
`class`
`BoundCommandsClient`
`class`
`ComputerBrailleClient`
`class`
`DriverKeysClient`
`class`
`EchoClient`
`class`
`GetDriverClient`
`class`
`GetModelClient`
`class`
`GetSizeClient`
`class`
`ListParametersClient`
`class`
`PauseClient`
`class`
`SetParameterClient`
`class`
`WriteArgumentsClient`
`class`
`WriteDotsClient`
`class`
`WriteTextClient`

## Uses of Program in org.a11y.brlapi.commands

Subclasses of Program in org.a11y.brlapi.commands
Modifier and Type
Class
Description
`class`
`ApiToolCommand`

## Uses of Program in org.a11y.brlapi.programs

Subclasses of Program in org.a11y.brlapi.programs
Modifier and Type
Class
Description
`class`
`VersionProgram`